# WideMessageBuffer Class Reference

List of all members.

## Detailed Description

This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use.

## Public Member Functions

| WideMessageBuffer ()
| Creates a new instance.
| ~WideMessageBuffer ()
| Destructor.
WideMessageBuffer & | operator<< (const std::basic_string< wchar_t > &msg)
| Appends string to buffer.
WideMessageBuffer & | operator<< (const wchar_t *msg)
| Appends string to buffer.
WideMessageBuffer & | operator<< (wchar_t *msg)
| Appends string to buffer.
WideMessageBuffer & | operator<< (const wchar_t msg)
| Appends character to buffer.
std::basic_ostream< wchar_t > & | operator<< (ios_base_manip manip)
| Insertion operator for STL manipulators such as std::fixed.
std::basic_ostream< wchar_t > & | operator<< (bool val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (short val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (int val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (unsigned int val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (long val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (unsigned long val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (float val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (double val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (long double val)
| Insertion operator for built-in type.
std::basic_ostream< wchar_t > & | operator<< (void *val)
| Insertion operator for built-in type.
| operator std::basic_ostream ()
| Cast to ostream.
const std::basic_string< wchar_t > & | str (std::basic_ostream< wchar_t > &os)
| Get content of buffer.
const std::basic_string< wchar_t > & | str (WideMessageBuffer &buf)
| Get content of buffer.
bool | hasStream () const
| Returns true if buffer has an encapsulated STL stream.

## Constructor & Destructor Documentation

WideMessageBuffer | ( |  | ) |

| Creates a new instance.

~WideMessageBuffer | ( |  | ) |

| Destructor.

## Member Function Documentation

bool hasStream | ( |  | ) | const

Returns true if buffer has an encapsulated STL stream.

Returns:
  true if STL stream was created.

operator std::basic_ostream | ( |  | ) |

| Cast to ostream.

std::basic_ostream<wchar_t>& operator<< | ( | void * | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | long double | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | double | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | float | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | unsigned long | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | long | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | unsigned int | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | int | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | short | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | bool | val | ) |

Insertion operator for built-in type.

Parameters:

  | val | build in type.

Returns:
  encapsulated STL stream.

std::basic_ostream<wchar_t>& operator<< | ( | ios_base_manip | manip | ) |

Insertion operator for STL manipulators such as std::fixed.

Parameters:

  | manip | manipulator.

Returns:
  encapsulated STL stream.

WideMessageBuffer& operator<< | ( | const wchar_t | msg | ) |

Appends character to buffer.

Parameters:

  | msg | character to append.

Returns:
  this buffer.

WideMessageBuffer& operator<< | ( | wchar_t * | msg | ) |

Appends string to buffer.

Parameters:

  | msg | string to append.

Returns:
  this buffer.

WideMessageBuffer& operator<< | ( | const wchar_t * | msg | ) |

Appends string to buffer.

Parameters:

  | msg | string to append.

Returns:
  this buffer.

WideMessageBuffer& operator<< | ( | const std::basic_string< wchar_t > & | msg | ) |

Appends string to buffer.

Parameters:

  | msg | string append.

Returns:
  this buffer.

const std::basic_string<wchar_t>& str | ( | WideMessageBuffer & | buf | ) |

Get content of buffer.

Parameters:

  | buf | used only to signal that the embedded stream was not used.

const std::basic_string<wchar_t>& str | ( | std::basic_ostream< wchar_t > & | os | ) |

Get content of buffer.

Parameters:

  | os | used only to signal that the embedded stream was used.

The documentation for this class was generated from the following file:

- messagebuffer.h